org.bdgenomics.cannoli.cli

# BwaArgs

###
Related Doc: package cli

#### class BwaArgs extends cannoli.BwaArgs with ADAMSaveAnyArgs with ParquetArgs

Bwa command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.BwaArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BwaArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BwaArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BwaArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var addFiles: Boolean

   Definition Classes
     BwaArgs

5. #### var asFragments: Boolean

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     BwaArgs → ADAMSaveAnyArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var deferMerging: Boolean

    Definition Classes
      BwaArgs → ADAMSaveAnyArgs

12. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var disableFastConcat: Boolean

    Definition Classes
      BwaArgs → ADAMSaveAnyArgs

14. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### var executable: String

    Definition Classes
      BwaArgs

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### var forceLoadIfastq: Boolean

20. #### var forceLoadParquet: Boolean

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### var image: String

    Definition Classes
      BwaArgs

24. #### var indexPath: String

    Definition Classes
      BwaArgs

25. #### var inputPath: String

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### var logLevel: String

    Definition Classes
      ParquetArgs

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### var outputPath: String

    Definition Classes
      BwaArgs → SaveArgs

32. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

33. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

34. #### var sample: String

    Definition Classes
      BwaArgs

35. #### var sequenceDictionary: String

36. #### var sortFastqOutput: Boolean

    Definition Classes
      BwaArgs → ADAMSaveAnyArgs

37. #### var stringency: String

38. #### var sudo: Boolean

    Definition Classes
      BwaArgs

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### var useDocker: Boolean

    Definition Classes
      BwaArgs

42. #### var useSingularity: Boolean

    Definition Classes
      BwaArgs

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.BwaArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped